
/*------------------------------------------------------------------------
    File        : wm-2102-after-01-wm-address.p
    Purpose     : 

    Syntax      :

    Description : 

    Author(s)   : 
    Created     : Wed Feb 14 11:34:00 CET 2018
    Notes       :
  ----------------------------------------------------------------------*/

/* ***************************  Definitions  ************************** */
&IF defined(DEBUG) > 0 &THEN
  PROCEDURE displayProgress.
    DEF INPUT PARAM pcProgram AS CHAR NO-UNDO.
    DEF INPUT PARAM pcAction  AS CHAR NO-UNDO.
    DEF INPUT PARAM pcTable   AS CHAR NO-UNDO.
    DEF INPUT PARAM piTotal   AS INT  NO-UNDO.
    DEF INPUT PARAM piDone    AS INT  NO-UNDO.
  END PROCEDURE.
&ELSE
 {System/conversion/conversion_progress.i}
&ENDIF

DEFINE VARIABLE cProgram   AS CHARACTER NO-UNDO FORMAT "x(50)".
DEFINE VARIABLE cAction    AS CHARACTER NO-UNDO FORMAT "X(50)".
DEFINE VARIABLE cTable     AS CHARACTER NO-UNDO FORMAT "X(50)".
DEFINE VARIABLE iTotal     AS INTEGER   NO-UNDO.
DEFINE VARIABLE iDone      AS INTEGER   NO-UNDO.
DEFINE VARIABLE iTel       AS INTEGER   NO-UNDO.

DEF VAR gcWebbookingTomorrowFinalFromToday AS CHAR NO-UNDO.

DEF BUFFER b-wm-address           FOR wm-address.
DEF BUFFER b-wm-parameter_generic FOR wm-parameter_generic.
  


/* ********************  Preprocessor Definitions  ******************** */


/* ***************************  Main Block  *************************** */

DISABLE TRIGGERS FOR LOAD OF b-wm-address.

ASSIGN
  cProgram = THIS-PROCEDURE:FILE-NAME
  cAction  = "Convert wm-address"
  cTable   = "wm-address"
  iTotal   = 0
  iDone    = 0.

RUN DisplayProgress (cProgram, cAction, cTable, iTotal, iDone).
 
FOR EACH sp-company NO-LOCK.
  FIND b-wm-parameter_generic WHERE b-wm-parameter_generic.companycode     = sp-company.companycode
                                AND b-wm-parameter_generic.parameter_group = "SSD"
                                AND b-wm-parameter_generic.parameter_name  = "WebbookingTomorrowFinalFromToday" EXCLUSIVE-LOCK NO-ERROR.
  IF AVAIL b-wm-parameter_generic THEN
  DO.  
  gcWebbookingTomorrowFinalFromToday = TRIM(REPLACE(b-wm-parameter_generic.parameter_value, ":", "")).
  
  FOR EACH b-wm-address WHERE b-wm-address.companycode = sp-company.companycode EXCLUSIVE-LOCK.
    IF gcWebbookingTomorrowFinalFromToday <> "" AND b-wm-address.out_disable_tasbk_tomorrow_from = ""
    THEN b-wm-address.out_disable_tasbk_tomorrow_from = gcWebbookingTomorrowFinalFromToday.
    
    IF  b-wm-address.out_ind_block_tomorrow_on_closed = TRUE 
     OR b-wm-address.in_ind_block_tomorrow_on_closed  = TRUE
    THEN b-wm-address.ind_blk_tomorrow_on_closed_both = TRUE. 
       
    IF  b-wm-address.out_block_timeslot_before_start > 0 
     OR b-wm-address.in_block_timeslot_before_start  > 0
    THEN b-wm-address.ind_block_ts_before_start_both = TRUE.
    
    IF  b-wm-address.out_book_timeslot_tomorrow_until <> "" 
     OR b-wm-address.in_book_timeslot_tomorrow_until  <> ""
    THEN b-wm-address.ind_book_ts_tomorrow_until_both = TRUE.
    
    IF  b-wm-address.out_disable_tasbk_tomorrow_from <> "" 
     OR b-wm-address.in_disable_tasbk_tomorrow_from  <> ""
    THEN b-wm-address.ind_dis_tasbk_tomorrow_from_both = TRUE.
  END.
  END.

  iDone  = iDone + 1.
  iTotal = iDone.
  
  RUN DisplayProgress (cProgram, cAction, cTable, iTotal, iDone).
END.
    
